/*
Project: NEO-6M GY-GPS6MV2 GPS module
Function: Reads GPS raw data in NMEA strings. This sketch listen to the GPS serial port, 
and when data is received from the module, it is sent to the serial monitor.

The module GND pin is connected to Arduino GND pin
The module RX pin is connected to Arduino pin 3
The module TX pin is connected to Arduino pin 4
The module VCC pin is connected to Arduino 5V pin
*/
//**********************************************
#include <SoftwareSerial.h>//include the library code
//**********************************************
SoftwareSerial ss(4, 3);// The serial connection to the GPS module
void setup(){
  Serial.begin(9600);//initialize the serial communication at 9600 bps
  ss.begin(9600);//if your module uses a different default baud rate then replace 9600 with yours
}
void loop(){
  // Output raw GPS data to the serial monitor
  while (ss.available() > 0){
    // get the byte data from the GPS
    byte gpsData = ss.read();
    Serial.write(gpsData);
  }
}
